#include <stdio.h>            // for printf
#include "caosdb/constants.h" // for LIBCAOSDB_VERSION_MAJOR, LIBCAOSDB_VER...
#include "ccaosdb.h"          // for caosdb_info_version_info, caosdb_conne...

int main(void) {
  printf(
    "CaosDB C client (libcaosdb %d.%d.%d)\nWe don't miss the H of caos.\n\n",
    LIBCAOSDB_VERSION_MAJOR, LIBCAOSDB_VERSION_MINOR, LIBCAOSDB_VERSION_PATCH);

  caosdb_connection_connection connection;
  caosdb_connection_connection_manager_get_default_connection(&connection);

  caosdb_info_version_info version_info;
  caosdb_connection_get_version_info(&version_info, &connection);

  printf("Server version: %d.%d.%d-%s-%s\n", version_info.major,
         version_info.minor, version_info.patch, version_info.pre_release,
         version_info.build);

  return 0;
}
